Syndai Docs

Run a bug scan now

POST
/api/v1/external/coding/repositories/{repository_id}/bug-scan/run

Scan now, even when nothing changed since the last scan. 409 CONFLICT when the bug scan is off or a scan is already queued or running. Returns 202 with the queued scan's occurrence_id; the scan is capped by the per-scan limit.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

repository_id*string
Formatuuid

Query Parameters

customer_id?|null

Response Body

Request accepted, processing continues off-line

application/json
  1. response
occurrence_id*string
Formatuuid
Example Request
curl -X POST 'https://api.syndai.ai/api/v1/external/coding/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/bug-scan/run'
Example Response
{  "occurrence_id": "8508ee33-23a1-4a06-ae02-1eb167405e7b"}